Security Enhanced Linux Reference Policy

# Layer: admin

## Module: portage

Tunables Interfaces

### Description:

Package Management System.

### Tunables:

portage_use_nfs

##### Default value

false

##### Description

Determine whether portage can use nfs filesystems.

Return

### Interfaces:

portage_compile_domain( domain )

##### Summary

Template for portage sandbox.

##### Description

Template for portage sandbox. Portage does all compiling in the sandbox.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain Allowed Access

portage_domtrans( domain )

##### Summary

Execute emerge in the portage domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

portage_domtrans_fetch( domain )

##### Summary

Execute tree management functions (fetching, layman, ...) in the portage fetch domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

portage_domtrans_gcc_config( domain )

##### Summary

Execute gcc-config in the gcc config domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

portage_dontaudit_rw_tmp_files( domain )

##### Summary

Do not audit attempts to read and write the portage temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

portage_dontaudit_search_tmp( domain )

##### Summary

Do not audit attempts to search the portage temporary directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

portage_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to use portage file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

portage_run( domain , role )

##### Summary

Execute emerge in the portage domain, and allow the specified role the portage domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

portage_run_fetch( domain , role )

##### Summary

Execute tree management functions (fetching, layman, ...) in the portage fetch domain, and allow the specified role the portage fetch domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

portage_run_gcc_config( domain , role )

##### Summary

Execute gcc-config in the gcc config domain, and allow the specified role the gcc_config domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return